Bug 5440 - Support for CP866, break UTF8
: Support for CP866, break UTF8
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/screen)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 8817
  Show dependency tree
 
Reported: 2004-11-03 15:24 by
Modified: 2010-02-24 01:46 (History)


Attachments
cp866 support (993 bytes, application/octet-stream)
2004-11-03 15:25, Kachalov Anton
no flags Details
additional patch for CP866 & x86_64 fix (366 bytes, application/octet-stream)
2005-03-24 17:32, Kachalov Anton
no flags Details
additional patch for CP866 & x86_64 fix [2] (1.18 KB, application/octet-stream)
2005-03-24 17:35, Kachalov Anton
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-03 15:24:54
Support for CP866
------- Comment #1 From 2004-11-03 15:25:25 -------
Created an attachment (id=634) [details]
cp866 support
------- Comment #2 From 2004-12-04 22:27:03 -------
How did you get a binary form?
And what's the name for new encoding file?
------- Comment #3 From 2005-03-24 17:32:51 -------
Created an attachment (id=778) [details]
additional patch for CP866 & x86_64 fix
------- Comment #4 From 2005-03-24 17:34:15 -------
(From update of attachment 778 [details])
forgot spec diff
------- Comment #5 From 2005-03-24 17:35:12 -------
Created an attachment (id=779) [details]
additional patch for CP866 & x86_64 fix [2]
------- Comment #6 From 2005-04-17 19:00:39 -------
* Sun Apr 17 2005 Alexey Tourbin <at@altlinux.ru> 4.0.2-alt2
- added support for cp866 (Kachalov Anton, #5440)
- fixed invalid type casts (Kachalov Anton)
------- Comment #7 From 2005-04-17 22:57:09 -------
thanks
------- Comment #8 From 2007-06-29 17:16:57 -------
а давайте это выкинем?

<morozov> Коммит f64bee34fba522762a12e9afa54289de0824d5db
(screen-4.0.2-alt-cp866.patch) ломает работу screen'а в UTF-8
------- Comment #9 From 2007-07-19 16:25:35 -------
откатил cp866.patch, см. комментарии в
https://bugzilla.altlinux.org/show_bug.cgi?id=8817
------- Comment #10 From 2007-07-19 16:56:56 -------
В.Б.Вагнер когда-то проделал некоторую работу по этому же поводу
http://bugs.donarmstrong.com/cgi-bin/bugreport.cgi?bug=212849
http://article.gmane.org/gmane.comp.gnu.screen/1614
------- Comment #11 From 2010-02-24 01:46:18 -------
По факту сейчас работает UTF8 и это скорее важней.